<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
<div class="group-label" localized-label [localizedLabel]="variantSubject.localizedGroupLabel"></div>
<hr/>

<ol *ngIf="display == 'ballot'" class="subjects-list">
  <li *ngFor="let subject of variantSubject.subjects"
      class="subject"
      chvote-subject-card
      [display]="display"
      [subject]="subject"
      [displaySeparator]="true"
      [(selectedAnswer)]="subject.bufferedAnswer">
  </li>
  <li class="subject"
      chvote-subject-card
      [display]="display"
      [subject]="variantSubject.tieBreak"
      [displaySeparator]="false"
      [(selectedAnswer)]="variantSubject.tieBreak.bufferedAnswer">
  </li>
</ol>

<ol *ngIf="display !== 'ballot'" class="subjects-list">
  <li *ngFor="let subject of variantSubject.subjects"
      class="subject"
      chvote-subject-card
      [display]="display"
      [subject]="subject"
      [displaySeparator]="true"
      [(selectedAnswer)]="subject.selectedAnswer">
  </li>
  <li class="subject"
      chvote-subject-card
      [display]="display"
      [subject]="variantSubject.tieBreak"
      [displaySeparator]="false"
      [(selectedAnswer)]="variantSubject.tieBreak.selectedAnswer">
  </li>
</ol>

<hr *ngIf="displaySeparator"/>
